

import static org.junit.Assert.*;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

/**
 * Die Test-Klasse DijkstraTest.
 *
 * @author claus albowski
 * @version Juni 2015
 */
public class DijkstraTest
{
    /**
     * Konstruktor fuer die Test-Klasse DijkstraaTest
     */
    public DijkstraTest()
    {
    }

    /**
     *  Setzt das Testgerüst fuer den Test.
     *
     * Wird vor jeder Testfall-Methode aufgerufen.
     */
    @Before
    public void setUp()
    {
    }

    /**
     * Gibt das Testgerüst wieder frei.
     *
     * Wird nach jeder Testfall-Methode aufgerufen.
     */
    @After
    public void tearDown()
    {
    }

    @Test
    public void test5()
    {
        Dijkstra dijkstra1 = new Dijkstra(5);
        dijkstra1.setzeStartKnoten("A");
        dijkstra1.setzeZielKnoten("E");
        dijkstra1.starteSuche();
        dijkstra1.suche();
    }
    
    @Test
    public void test8()
    {
        Dijkstra dijkstra1 = new Dijkstra(8);
        dijkstra1.setzeStartKnoten("A");
        dijkstra1.setzeZielKnoten("D");
        dijkstra1.starteSuche();
        dijkstra1.suche();
    }
    
    @Test
    public void testGallenbacher()
    {
        Dijkstra dijkstra1 = new Dijkstra();
        dijkstra1.setzeStartKnoten("I");
        dijkstra1.setzeZielKnoten("O");
        dijkstra1.starteSuche();
        dijkstra1.suche();
    }
}

